/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portlet.expando.util;

import com.liferay.portal.service.ServiceContext;
import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Map;

/**
 * @author Brian Wing Shun Chan
 * @author Zsigmond Rab
 */
public class ExpandoBridgeUtil {

	public static void copyExpandoBridgeAttributes(
		ExpandoBridge oldExpandoBridge, ExpandoBridge newExpandoBridge) {

		newExpandoBridge.setAttributes(
			oldExpandoBridge.getAttributes(false), false);
	}

	public static void setExpandoBridgeAttributes(
		ExpandoBridge oldExpandoBridge, ExpandoBridge newExpandoBridge,
		ServiceContext serviceContext) {

		Map<String, Serializable> expandoBridgeAttributes =
			oldExpandoBridge.getAttributes(false);

		Map<String, Serializable> serviceContextAttributes =
			serviceContext.getExpandoBridgeAttributes();

		for (String key : serviceContextAttributes.keySet()) {
			expandoBridgeAttributes.put(key, serviceContextAttributes.get(key));
		}

		newExpandoBridge.setAttributes(expandoBridgeAttributes, false);
	}

}